// Code scaffolded by goctl. Safe to edit.
// goctl 1.10.1

package member

import (
	"net/http"

	"gateway/internal/logic/member"
	"gateway/internal/response"
	"gateway/internal/svc"
)

// 開始 TOTP 綁定
func StartTOTPEnrollHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := member.NewStartTOTPEnrollLogic(actorContext(r.Context(), r), svcCtx)
		data, err := l.StartTOTPEnroll()
		response.Write(r.Context(), w, data, err)
	}
}
